/*
 * Copyright © 2013-2014 Alexander Söderlund, Sweden
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE
 * AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef HNEF_CORE_RREADT_H
#define HNEF_CORE_RREADT_H

/*@observer@*/
/*@unchecked@*/
extern
const char	* HNEF_RREAD_L_BIT,
		* HNEF_RREAD_L_CAPTURES,
		* HNEF_RREAD_L_CAPT_EDGE,
		* HNEF_RREAD_L_CAPT_LOSS,
		* HNEF_RREAD_L_CAPT_SIDES,
		* HNEF_RREAD_L_CAPT_SIDES_PIECES,
		* HNEF_RREAD_L_CUSTODIAL,
		* HNEF_RREAD_L_DBL_TRAP,
		* HNEF_RREAD_L_DBL_TRAP_CAPT,
		* HNEF_RREAD_L_DBL_TRAP_COMPL,
		* HNEF_RREAD_L_DBL_TRAP_EDGE,
		* HNEF_RREAD_L_DBL_TRAP_ENCL,
		* HNEF_RREAD_L_DBL_TRAP_SQ,
		* HNEF_RREAD_L_ESCAPE,
		* HNEF_RREAD_L_FREPEAT,
		* HNEF_RREAD_L_HEIGHT,
		* HNEF_RREAD_L_ID,
		* HNEF_RREAD_L_NAME,
		* HNEF_RREAD_L_NORETURN,
		* HNEF_RREAD_L_OCCUPIES,
		* HNEF_RREAD_L_OWNER,
		* HNEF_RREAD_L_UITHEME,
		* HNEF_RREAD_L_PIECE,
		* HNEF_RREAD_L_PIECES,
		* HNEF_RREAD_L_SQUARE,
		* HNEF_RREAD_L_SQUARES,
		* HNEF_RREAD_L_UI_BIT,
		* HNEF_RREAD_L_WIDTH;

#endif

